summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorSamuel Lidén Borell <samuel@kodafritt.se>2012-11-14 17:56:27 +0100
committerSamuel Lidén Borell <samuel@kodafritt.se>2012-11-14 17:56:27 +0100
commit5e4739f06eb45fc1b1e83d252e8c1d035f351717 (patch)
tree24c102de641eda0c935b4968bce591dec7126be4 /configure
parent1a7053b4ead04a4a3191cdda9dae96f365d214c5 (diff)
downloadfribid-5e4739f06eb45fc1b1e83d252e8c1d035f351717.tar.gz
fribid-5e4739f06eb45fc1b1e83d252e8c1d035f351717.tar.bz2
fribid-5e4739f06eb45fc1b1e83d252e8c1d035f351717.zip
Clarify error messages about missing dependencies
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure24
1 files changed, 22 insertions, 2 deletions
diff --git a/configure b/configure
index bf9d2d3..b209137 100755
--- a/configure
+++ b/configure
@@ -331,7 +331,18 @@ if ! type $utilities > /dev/null 2> /dev/null; then
echo "ERROR: Missing commands:" >&2
for utility in $utilities; do
if ! type "$utility" > /dev/null 2> /dev/null; then
- echo " $utility" >&2
+ case "$utility" in
+ msgfmt)
+ echo " msgfmt (a part of gettext)" >&2;;
+ cc)
+ echo " cc (C compiler)" >&2;;
+ cpp)
+ echo " cpp (C preprocessor)" >&2;;
+ install)
+ echo " install (under Linux it's included in coreutils)" >&2;;
+ *)
+ echo " $utility" >&2
+ esac
depError=1
fi
done
@@ -343,7 +354,16 @@ if ! pkg-config --exists $pkgconfigDeps; then
echo
echo "ERROR: Unsatisfied dependencies: " >&2
for dep in $pkgconfigDeps; do
- pkg-config --exists $dep || echo " $dep" >&2
+ pkg-config --exists $dep || {
+ case "$dep" in
+ libcrypto)
+ echo " libcrypto (a part of OpenSSL)" >&2;;
+ x11)
+ echo " x11 (X11 library)" >&2;;
+ *)
+ echo " $dep" >&2;;
+ esac
+ }
done
depError=1
fi